Package org.apache.struts2

# Class StrutsConstants

java.lang.Object
org.apache.struts2.StrutsConstants

public final class StrutsConstants extends Object
This class provides a central location for framework configuration keys used to retrieve and store Struts configuration settings.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_TEMPLATE_TYPE_CONFIG_KEY`
  `static final String`
  `PREFIX_BASED_MAPPER_CONFIGURATION`
  A prefix based action mapper that is capable of delegating to other `ActionMapper`s based on the request's prefix You can specify different prefixes that will be handled by different mappers
  `static final String`
  `STRUTS_ACCEPTED_PATTERNS_CHECKER`
  `static final String`
  `STRUTS_ACTION_CONFIG_FALLBACK_TO_EMPTY_NAMESPACE`
  Fallback to empty namespace when request namespace didn't match any in action configuration
  `static final String`
  `STRUTS_ACTION_EXCLUDE_PATTERN`
  Comma separated list of patterns (java.util.regex.Pattern) to be excluded from Struts2-processing
  `static final String`
  `STRUTS_ACTION_EXCLUDE_PATTERN_SEPARATOR`
  A custom separator used to split list of patterns (java.util.regex.Pattern) to be excluded from Struts2-processing
  `static final String`
  `STRUTS_ACTION_EXTENSION`
  The URL extension to use to determine if the request is meant for a Struts action
  `static final String`
  `STRUTS_ACTIONPROXYFACTORY`
  `static final String`
  `STRUTS_ACTIONVALIDATORMANAGER`
  The org.apache.struts2.validator.ActionValidatorManager implementation class
  `static final String`
  `STRUTS_ADDITIONAL_ACCEPTED_PATTERNS`
  `static final String`
  `STRUTS_ADDITIONAL_EXCLUDED_PATTERNS`
  `static final String`
  `STRUTS_ALLOW_STATIC_FIELD_ACCESS`
  The name of the parameter to determine whether static field access will be allowed in OGNL expressions or not
  `static final String`
  `STRUTS_ALLOWED_ACTION_NAMES`
  Action names' whitelist
  `static final String`
  `STRUTS_ALLOWED_METHOD_NAMES`
  Method names' whitelist
  `static final String`
  `STRUTS_ALLOWED_NAMESPACE_NAMES`
  Namespace names' whitelist
  `static final String`
  `STRUTS_ALLOWLIST_CLASSES`
  Comma delimited set of allowed classes which CAN be accessed via OGNL expressions.
  `static final String`
  `STRUTS_ALLOWLIST_ENABLE`
  Boolean to enable strict allowlist processing of all OGNL expression calls.
  `static final String`
  `STRUTS_ALLOWLIST_PACKAGE_NAMES`
  Comma delimited set of package names, of which all its classes, and all classes in its subpackages, CAN be accessed via OGNL expressions.
  `static final String`
  `STRUTS_ALWAYS_SELECT_FULL_NAMESPACE`
  `static final String`
  `STRUTS_CHAINING_COPY_ERRORS`
  `static final String`
  `STRUTS_CHAINING_COPY_FIELD_ERRORS`
  `static final String`
  `STRUTS_CHAINING_COPY_MESSAGES`
  `static final String`
  `STRUTS_COMPOUND_ROOT_ACCESSOR`
  Extension point for the Struts CompoundRootAccessor
  `static final String`
  `STRUTS_CONFIGURATION`
  The org.apache.struts2.config.Configuration implementation class
  `static final String`
  `STRUTS_CONFIGURATION_XML_RELOAD`
  Whether to reload the XML configuration or not
  `static final String`
  `STRUTS_CONTENT_TYPE_MATCHER`
  `static final String`
  `STRUTS_CONTINUATIONS_PACKAGE`
  The package containing actions that use Rife continuations
  `static final String`
  `STRUTS_CONVERTER_ANNOTATION_PROCESSOR`
  `static final String`
  `STRUTS_CONVERTER_ARRAY`
  `static final String`
  `STRUTS_CONVERTER_COLLECTION`
  `XWorkBasicConverter`
  `static final String`
  `STRUTS_CONVERTER_CREATOR`
  `static final String`
  `STRUTS_CONVERTER_DATE`
  `static final String`
  `STRUTS_CONVERTER_FILE_PROCESSOR`
  `static final String`
  `STRUTS_CONVERTER_HOLDER`
  `static final String`
  `STRUTS_CONVERTER_NUMBER`
  `static final String`
  `STRUTS_CONVERTER_PROPERTIES_PROCESSOR`
  `static final String`
  `STRUTS_CONVERTER_STRING`
  `static final String`
  `STRUTS_CUSTOM_I18N_RESOURCES`
  Location of additional localization properties files to load
  `static final String`
  `STRUTS_CUSTOM_PROPERTIES`
  Location of additional configuration properties files to load
  `static final String`
  `STRUTS_DATE_FORMATTER`
  See `Date.setDateFormatter(DateFormatter)`
  `static final String`
  `STRUTS_DEFAULT_ACTION_NAME`
  Default action name to use when action didn't match the whitelist
  `static final String`
  `STRUTS_DEFAULT_METHOD_NAME`
  Default method name to use when method didn't match the whitelist
  `static final String`
  `STRUTS_DEFAULT_NAMESPACE_NAME`
  Default namespace name to use when namespace didn't match the whitelist
  `static final String`
  `STRUTS_DEV_MODE_EXCLUDED_CLASSES`
  Comma delimited set of excluded classes and package names which cannot be accessed via expressions in devMode
  `static final String`
  `STRUTS_DEV_MODE_EXCLUDED_PACKAGE_EXEMPT_CLASSES`
  `static final String`
  `STRUTS_DEV_MODE_EXCLUDED_PACKAGE_NAME_PATTERNS`
  `static final String`
  `STRUTS_DEV_MODE_EXCLUDED_PACKAGE_NAMES`
  `static final String`
  `STRUTS_DEVMODE`
  Whether Struts is in development mode or not
  `static final String`
  `STRUTS_DISABLE_REQUEST_ATTRIBUTE_VALUE_STACK_LOOKUP`
  Disables `StrutsRequestWrapper` request attribute value stack lookup (JSTL accessibility)
  `static final String`
  `STRUTS_DISALLOW_CUSTOM_OGNL_MAP`
  `static final String`
  `STRUTS_DISALLOW_DEFAULT_PACKAGE_ACCESS`
  `static final String`
  `STRUTS_DISALLOW_PROXY_MEMBER_ACCESS`
  `static final String`
  `STRUTS_DISALLOW_PROXY_OBJECT_ACCESS`
  `static final String`
  `STRUTS_DISPATCHER_ERROR_HANDLER`
  Allows override default DispatcherErrorHandler
  `static final String`
  `STRUTS_DISPATCHER_PARAMETERSWORKAROUND`
  Whether to use a Servlet request parameter workaround necessary for some versions of WebLogic
  `static final String`
  `STRUTS_EL_THROW_EXCEPTION`
  Throw RuntimeException when a property is not found, or the evaluation of the expression fails
  `static final String`
  `STRUTS_ENABLE_DYNAMIC_METHOD_INVOCATION`
  Allows one to disable dynamic method invocation from the URL
  `static final String`
  `STRUTS_ENABLE_SLASHES_IN_ACTION_NAMES`
  Whether slashes in action names are allowed or not
  `static final String`
  `STRUTS_EXCLUDED_CLASSES`
  Comma delimited set of excluded classes which cannot be accessed via OGNL expressions.
  `static final String`
  `STRUTS_EXCLUDED_PACKAGE_EXEMPT_CLASSES`
  Comma delimited set of exempt classes from matching against excludedPackageNames and excludedPackageNamePatterns.
  `static final String`
  `STRUTS_EXCLUDED_PACKAGE_NAME_PATTERNS`
  Comma delimited set of RegEx to match against package names of target and member classes of OGNL expressions.
  `static final String`
  `STRUTS_EXCLUDED_PACKAGE_NAMES`
  Comma delimited set of package names, of which all its classes, and all classes in its subpackages, cannot be accessed via OGNL expressions.
  `static final String`
  `STRUTS_EXCLUDED_PATTERNS_CHECKER`
  Dedicated services to check if passed string is excluded/accepted
  `static final String`
  `STRUTS_EXECUTOR_PROVIDER`
  See `ExecutorProvider`
  `static final String`
  `STRUTS_EXPRESSION_PARSER`
  `static final String`
  `STRUTS_FILE_MANAGER`
  The org.apache.struts2.util.fs.FileManager implementation class
  `static final String`
  `STRUTS_FILE_MANAGER_FACTORY`
  The org.apache.struts2.util.FileManager implementation class
  `static final String`
  `STRUTS_FREEMARKER_BEANWRAPPER_CACHE`
  Cache model instances at BeanWrapper level
  `static final String`
  `STRUTS_FREEMARKER_MANAGER_CLASSNAME`
  The org.apache.struts2.views.freemarker.FreemarkerManager implementation class
  `static final String`
  `STRUTS_FREEMARKER_MRU_MAX_STRONG_SIZE`
  Maximum strong sizing for MruCacheStorage for freemarker
  `static final String`
  `STRUTS_FREEMARKER_TEMPLATES_CACHE_UPDATE_DELAY`
  Update freemarker templates cache in seconds
  `static final String`
  `STRUTS_FREEMARKER_WRAPPER_ALT_MAP`
  `static final String`
  `STRUTS_HANDLE_EXCEPTION`
  Enable handling exceptions by Dispatcher - true by default
  `static final String`
  `STRUTS_I18N_ENCODING`
  The encoding to use for localization messages
  `static final String`
  `STRUTS_I18N_RELOAD`
  Whether the localization messages should automatically be reloaded
  `static final String`
  `STRUTS_I18N_SEARCH_DEFAULTBUNDLES_FIRST`
  Whether the default bundles should be searched for messages first.
  `static final String`
  `STRUTS_ID_PARAMETER_NAME`
  The name of the parameter to create when mapping an id (used by some action mappers)
  `static final String`
  `STRUTS_LOCALE`
  The default locale for the Struts application
  `static final String`
  `STRUTS_LOCALE_PROVIDER_FACTORY`
  The `LocaleProviderFactory` implementation class
  `static final String`
  `STRUTS_LOCALIZED_TEXT_PROVIDER`
  `static final String`
  `STRUTS_MAPPER_ACTION_PREFIX_ENABLED`
  Enables action: prefix
  `static final String`
  `STRUTS_MAPPER_CLASS`
  A name of a bean implementing org.apache.struts2.dispatcher.mapper.ActionMapper interface
  `static final String`
  `STRUTS_MAPPER_COMPOSITE`
  Prefix used by `CompositeActionMapper` to identify its containing `ActionMapper` class.
  `static final String`
  `STRUTS_MATCHER_APPEND_NAMED_PARAMETERS`
  See `AbstractMatcher.appendNamedParameters`
  `static final String`
  `STRUTS_MEMBER_ACCESS`
  `static final String`
  `STRUTS_METHOD_ACCESSOR`
  Extension point for the Struts MethodAccessor
  `static final String`
  `STRUTS_MULTIPART_BUFFER_SIZE`
  Declares the buffer size to be used during streaming multipart content to disk.
  `static final String`
  `STRUTS_MULTIPART_ENABLED`
  A global switch to disable support for multipart requests
  `static final String`
  `STRUTS_MULTIPART_MAX_FILE_SIZE`
  The maximum size per file in a multipart request
  `static final String`
  `STRUTS_MULTIPART_MAX_FILES`
  The maximum number of files allowed in a multipart request
  `static final String`
  `STRUTS_MULTIPART_MAX_SIZE`
  The maximum size of a multipart request (file upload)
  `static final String`
  `STRUTS_MULTIPART_MAX_SIZE_OF_FILES`
  The maximum size of all uploaded files.
  `static final String`
  `STRUTS_MULTIPART_MAX_STRING_LENGTH`
  The maximum length of a string parameter in a multipart request.
  `static final String`
  `STRUTS_MULTIPART_PARSER`
  The org.apache.struts2.dispatcher.multipart.MultiPartRequest parser implementation for a multipart request (file upload)
  `static final String`
  `STRUTS_MULTIPART_SAVE_DIR`
  The directory to use for storing uploaded files
  `static final String`
  `STRUTS_MULTIPART_VALIDATION_REGEX`
  `static final String`
  `STRUTS_NOT_EXCLUDED_ACCEPTED_PATTERNS_CHECKER`
  `static final String`
  `STRUTS_OBJECT_FACTORY_CLASSLOADER`
  `static final String`
  `STRUTS_OBJECTFACTORY`
  The org.apache.struts2.ObjectFactory implementation class
  `static final String`
  `STRUTS_OBJECTFACTORY_ACTIONFACTORY`
  `static final String`
  `STRUTS_OBJECTFACTORY_CONVERTERFACTORY`
  `static final String`
  `STRUTS_OBJECTFACTORY_INTERCEPTORFACTORY`
  `static final String`
  `STRUTS_OBJECTFACTORY_RESULTFACTORY`
  `static final String`
  `STRUTS_OBJECTFACTORY_SPRING_AUTOWIRE`
  How Spring should autowire.
  `static final String`
  `STRUTS_OBJECTFACTORY_SPRING_AUTOWIRE_ALWAYS_RESPECT`
  Whether the autowire strategy chosen by STRUTS_OBJECTFACTORY_SPRING_AUTOWIRE is always respected.
  `static final String`
  `STRUTS_OBJECTFACTORY_SPRING_ENABLE_AOP_SUPPORT`
  Deprecated.
  `static final String`
  `STRUTS_OBJECTFACTORY_SPRING_USE_CLASS_CACHE`
  Whether Spring should use its class cache or not
  `static final String`
  `STRUTS_OBJECTFACTORY_UNKNOWNHANDLERFACTORY`
  `static final String`
  `STRUTS_OBJECTFACTORY_VALIDATORFACTORY`
  `static final String`
  `STRUTS_OBJECTTYPEDETERMINER`
  The org.apache.struts2.util.ObjectTypeDeterminer implementation class
  `static final String`
  `STRUTS_OGNL_AUTO_GROWTH_COLLECTION_LIMIT`
  `static final String`
  `STRUTS_OGNL_BEANINFO_CACHE_FACTORY`
  Specifies an OGNL BeanInfo cache factory implementation.
  `static final String`
  `STRUTS_OGNL_BEANINFO_CACHE_MAXSIZE`
  Specifies the maximum cache size for BeanInfo objects.
  `static final String`
  `STRUTS_OGNL_BEANINFO_CACHE_TYPE`
  Specifies the type of cache to use for BeanInfo objects.
  `static final String`
  `STRUTS_OGNL_ENABLE_EVAL_EXPRESSION`
  Enables evaluation of OGNL expressions
  `static final String`
  `STRUTS_OGNL_ENABLE_EXPRESSION_CACHE`
  Enables caching of parsed OGNL expressions
  `static final String`
  `STRUTS_OGNL_EXCLUDED_NODE_TYPES`
  Parsed OGNL expressions which contain these node types will be blocked
  `static final String`
  `STRUTS_OGNL_EXPRESSION_CACHE_FACTORY`
  Specifies an OGNL expression cache factory implementation.
  `static final String`
  `STRUTS_OGNL_EXPRESSION_CACHE_MAXSIZE`
  Specifies the maximum cache size for parsed OGNL expressions.
  `static final String`
  `STRUTS_OGNL_EXPRESSION_CACHE_TYPE`
  Specifies the type of cache to use for parsed OGNL expressions.
  `static final String`
  `STRUTS_OGNL_EXPRESSION_MAX_LENGTH`
  The maximum length of an expression (OGNL)
  `static final String`
  `STRUTS_OGNL_GUARD`
  `static final String`
  `STRUTS_OGNL_LOG_MISSING_PROPERTIES`
  Logs properties that are not found (very verbose)
  `static final String`
  `STRUTS_OGNL_VALUE_STACK_FALLBACK_TO_CONTEXT`
  Determines whether lookups on the ValueStack should fallback to looking in the context if the OGNL expression fails or returns null.
  `static final String`
  `STRUTS_OVERRIDE_ACCEPTED_PATTERNS`
  `static final String`
  `STRUTS_OVERRIDE_EXCLUDED_PATTERNS`
  Constant is used to override framework's default excluded patterns
  `static final String`
  `STRUTS_PARAMETERS_REQUIRE_ANNOTATIONS`
  `static final String`
  `STRUTS_PARAMETERS_REQUIRE_ANNOTATIONS_TRANSITION`
  `static final String`
  `STRUTS_PATTERNMATCHER`
  The `PatternMatcher` implementation class
  `static final String`
  `STRUTS_REFLECTIONCONTEXTFACTORY`
  The `ReflectionContextFactory` implementation class
  `static final String`
  `STRUTS_REFLECTIONPROVIDER`
  The `ReflectionProvider` implementation class
  `static final String`
  `STRUTS_SERVE_STATIC_BROWSER_CACHE`
  If static content served by the Struts filter should set browser caching header properties or not
  `static final String`
  `STRUTS_SERVE_STATIC_CONTENT`
  Whether the Struts filter should serve static content or not
  `static final String`
  `STRUTS_SMI_METHOD_REGEX`
  `static final String`
  `STRUTS_STATIC_CONTENT_LOADER`
  The `StaticContentLoader` implementation class
  `static final String`
  `STRUTS_TAG_INCLUDETAG_USERESPONSEENCODING`
  Whether to use the response encoding (JSP page encoding) for s:include tag processing (false - use STRUTS_I18N_ENCODING - by default)
  `static final String`
  `STRUTS_TEXT_PROVIDER`
  `static final String`
  `STRUTS_TEXT_PROVIDER_FACTORY`
  `static final String`
  `STRUTS_UI_CHECKBOX_SUBMIT_UNCHECKED`
  A global flag to set property `Checkbox.setSubmitUnchecked(String)`
  `static final String`
  `STRUTS_UI_ESCAPE_HTML_BODY`
  A global flag to enable/disable html body escaping in tags, can be overwritten per tag
  `static final String`
  `STRUTS_UI_STATIC_CONTENT_PATH`
  A path to static content, by default and from historical point of view it's /static.
  `static final String`
  `STRUTS_UI_TEMPLATEDIR`
  The directory containing UI templates.
  `static final String`
  `STRUTS_UI_THEME`
  The default UI template theme
  `static final String`
  `STRUTS_UI_THEME_EXPANSION_TOKEN`
  Token to use to indicate start of theme to be expanded.
  `static final String`
  `STRUTS_UNKNOWN_HANDLER_MANAGER`
  The `UnknownHandlerManager` implementation class
  `static final String`
  `STRUTS_URL_DECODER`
  `static final String`
  `STRUTS_URL_ENCODER`
  `static final String`
  `STRUTS_URL_HELPER`
  The`UrlHelper` implementation class
  `static final String`
  `STRUTS_URL_HTTP_PORT`
  The HTTP port used by Struts URLs
  `static final String`
  `STRUTS_URL_HTTPS_PORT`
  The HTTPS port used by Struts URLs
  `static final String`
  `STRUTS_URL_INCLUDEPARAMS`
  The default includeParams method to generate Struts URLs
  `static final String`
  `STRUTS_URL_QUERY_STRING_BUILDER`
  `static final String`
  `STRUTS_URL_QUERY_STRING_PARSER`
  `static final String`
  `STRUTS_URL_RENDERER`
  `static final String`
  `STRUTS_VALUESTACKFACTORY`
  The `ValueStackFactory` implementation class
  `static final String`
  `STRUTS_VELOCITY_CONFIGFILE`
  The Velocity configuration file path
  `static final String`
  `STRUTS_VELOCITY_CONTEXTS`
  List of Velocity context names
  `static final String`
  `STRUTS_VELOCITY_TOOLBOXLOCATION`
  The location of the Velocity toolbox
  `static final String`
  `STRUTS_XWORKCONVERTER`
  The name of the xwork converter implementation

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StrutsConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STRUTS_DEVMODE

    public static final String STRUTS_DEVMODE
    Whether Struts is in development mode or not
    See Also:
      - Constant Field Values

  - ### STRUTS_I18N_RELOAD

    public static final String STRUTS_I18N_RELOAD
    Whether the localization messages should automatically be reloaded
    See Also:
      - Constant Field Values

  - ### STRUTS_I18N_ENCODING

    public static final String STRUTS_I18N_ENCODING
    The encoding to use for localization messages
    See Also:
      - Constant Field Values

  - ### STRUTS_I18N_SEARCH_DEFAULTBUNDLES_FIRST

    public static final String STRUTS_I18N_SEARCH_DEFAULTBUNDLES_FIRST
    Whether the default bundles should be searched for messages first. Can be used to modify the standard processing order for message lookup in TextProvider implementations.

    Note: This control flag may not be meaningful to all provider implementations, and should be false by default.

    Since:
      6.0.0
    See Also:
      - Constant Field Values

  - ### STRUTS_CONFIGURATION_XML_RELOAD

    public static final String STRUTS_CONFIGURATION_XML_RELOAD
    Whether to reload the XML configuration or not
    See Also:
      - Constant Field Values

  - ### STRUTS_ACTION_EXTENSION

    public static final String STRUTS_ACTION_EXTENSION
    The URL extension to use to determine if the request is meant for a Struts action
    See Also:
      - Constant Field Values

  - ### STRUTS_ACTION_EXCLUDE_PATTERN

    public static final String STRUTS_ACTION_EXCLUDE_PATTERN
    Comma separated list of patterns (java.util.regex.Pattern) to be excluded from Struts2-processing
    See Also:
      - Constant Field Values

  - ### STRUTS_ACTION_EXCLUDE_PATTERN_SEPARATOR

    public static final String STRUTS_ACTION_EXCLUDE_PATTERN_SEPARATOR
    A custom separator used to split list of patterns (java.util.regex.Pattern) to be excluded from Struts2-processing
    See Also:
      - Constant Field Values

  - ### STRUTS_TAG_INCLUDETAG_USERESPONSEENCODING

    public static final String STRUTS_TAG_INCLUDETAG_USERESPONSEENCODING
    Whether to use the response encoding (JSP page encoding) for s:include tag processing (false - use STRUTS_I18N_ENCODING - by default)
    See Also:
      - Constant Field Values

  - ### STRUTS_URL_HTTP_PORT

    public static final String STRUTS_URL_HTTP_PORT
    The HTTP port used by Struts URLs
    See Also:
      - Constant Field Values

  - ### STRUTS_URL_HTTPS_PORT

    public static final String STRUTS_URL_HTTPS_PORT
    The HTTPS port used by Struts URLs
    See Also:
      - Constant Field Values

  - ### STRUTS_URL_INCLUDEPARAMS

    public static final String STRUTS_URL_INCLUDEPARAMS
    The default includeParams method to generate Struts URLs
    See Also:
      - Constant Field Values

  - ### STRUTS_URL_RENDERER

    public static final String STRUTS_URL_RENDERER
    See Also:
      - Constant Field Values

  - ### STRUTS_OBJECTFACTORY

    public static final String STRUTS_OBJECTFACTORY
    The org.apache.struts2.ObjectFactory implementation class
    See Also:
      - Constant Field Values

  - ### STRUTS_OBJECTFACTORY_ACTIONFACTORY

    public static final String STRUTS_OBJECTFACTORY_ACTIONFACTORY
    See Also:
      - Constant Field Values

  - ### STRUTS_OBJECTFACTORY_RESULTFACTORY

    public static final String STRUTS_OBJECTFACTORY_RESULTFACTORY
    See Also:
      - Constant Field Values

  - ### STRUTS_OBJECTFACTORY_CONVERTERFACTORY

    public static final String STRUTS_OBJECTFACTORY_CONVERTERFACTORY
    See Also:
      - Constant Field Values

  - ### STRUTS_OBJECTFACTORY_INTERCEPTORFACTORY

    public static final String STRUTS_OBJECTFACTORY_INTERCEPTORFACTORY
    See Also:
      - Constant Field Values

  - ### STRUTS_OBJECTFACTORY_VALIDATORFACTORY

    public static final String STRUTS_OBJECTFACTORY_VALIDATORFACTORY
    See Also:
      - Constant Field Values

  - ### STRUTS_OBJECTFACTORY_UNKNOWNHANDLERFACTORY

    public static final String STRUTS_OBJECTFACTORY_UNKNOWNHANDLERFACTORY
    See Also:
      - Constant Field Values

  - ### STRUTS_FILE_MANAGER_FACTORY

    public static final String STRUTS_FILE_MANAGER_FACTORY
    The org.apache.struts2.util.FileManager implementation class
    See Also:
      - Constant Field Values

  - ### STRUTS_FILE_MANAGER

    public static final String STRUTS_FILE_MANAGER
    The org.apache.struts2.util.fs.FileManager implementation class
    See Also:
      - Constant Field Values

  - ### STRUTS_OBJECTTYPEDETERMINER

    public static final String STRUTS_OBJECTTYPEDETERMINER
    The org.apache.struts2.util.ObjectTypeDeterminer implementation class
    See Also:
      - Constant Field Values

  - ### STRUTS_CONTINUATIONS_PACKAGE

    public static final String STRUTS_CONTINUATIONS_PACKAGE
    The package containing actions that use Rife continuations
    See Also:
      - Constant Field Values

  - ### STRUTS_CONFIGURATION

    public static final String STRUTS_CONFIGURATION
    The org.apache.struts2.config.Configuration implementation class
    See Also:
      - Constant Field Values

  - ### STRUTS_LOCALE

    public static final String STRUTS_LOCALE
    The default locale for the Struts application
    See Also:
      - Constant Field Values

  - ### STRUTS_DISPATCHER_PARAMETERSWORKAROUND

    public static final String STRUTS_DISPATCHER_PARAMETERSWORKAROUND
    Whether to use a Servlet request parameter workaround necessary for some versions of WebLogic
    See Also:
      - Constant Field Values

  - ### STRUTS_FREEMARKER_MANAGER_CLASSNAME

    public static final String STRUTS_FREEMARKER_MANAGER_CLASSNAME
    The org.apache.struts2.views.freemarker.FreemarkerManager implementation class
    See Also:
      - Constant Field Values

  - ### STRUTS_FREEMARKER_TEMPLATES_CACHE_UPDATE_DELAY

    public static final String STRUTS_FREEMARKER_TEMPLATES_CACHE_UPDATE_DELAY
    Update freemarker templates cache in seconds
    See Also:
      - Constant Field Values

  - ### STRUTS_FREEMARKER_BEANWRAPPER_CACHE

    public static final String STRUTS_FREEMARKER_BEANWRAPPER_CACHE
    Cache model instances at BeanWrapper level
    See Also:
      - Constant Field Values

  - ### STRUTS_FREEMARKER_MRU_MAX_STRONG_SIZE

    public static final String STRUTS_FREEMARKER_MRU_MAX_STRONG_SIZE
    Maximum strong sizing for MruCacheStorage for freemarker
    See Also:
      - Constant Field Values

  - ### STRUTS_VELOCITY_CONFIGFILE

    public static final String STRUTS_VELOCITY_CONFIGFILE
    The Velocity configuration file path
    See Also:
      - Constant Field Values

  - ### STRUTS_VELOCITY_TOOLBOXLOCATION

    public static final String STRUTS_VELOCITY_TOOLBOXLOCATION
    The location of the Velocity toolbox
    See Also:
      - Constant Field Values

  - ### STRUTS_VELOCITY_CONTEXTS

    public static final String STRUTS_VELOCITY_CONTEXTS
    List of Velocity context names
    See Also:
      - Constant Field Values

  - ### STRUTS_UI_TEMPLATEDIR

    public static final String STRUTS_UI_TEMPLATEDIR
    The directory containing UI templates. All templates must reside in this directory.
    See Also:
      - Constant Field Values

  - ### STRUTS_UI_THEME

    public static final String STRUTS_UI_THEME
    The default UI template theme
    See Also:
      - Constant Field Values

  - ### STRUTS_UI_THEME_EXPANSION_TOKEN

    public static final String STRUTS_UI_THEME_EXPANSION_TOKEN
    Token to use to indicate start of theme to be expanded.
    See Also:
      - Constant Field Values

  - ### STRUTS_UI_STATIC_CONTENT_PATH

    public static final String STRUTS_UI_STATIC_CONTENT_PATH
    A path to static content, by default and from historical point of view it's /static.
    See Also:
      - Constant Field Values

  - ### STRUTS_UI_ESCAPE_HTML_BODY

    public static final String STRUTS_UI_ESCAPE_HTML_BODY
    A global flag to enable/disable html body escaping in tags, can be overwritten per tag
    See Also:
      - Constant Field Values

  - ### STRUTS_MULTIPART_MAX_SIZE

    public static final String STRUTS_MULTIPART_MAX_SIZE
    The maximum size of a multipart request (file upload)
    See Also:
      - Constant Field Values

  - ### STRUTS_MULTIPART_MAX_SIZE_OF_FILES

    public static final String STRUTS_MULTIPART_MAX_SIZE_OF_FILES
    The maximum size of all uploaded files. Used only with `JakartaStreamMultiPartRequest`
    See Also:
      - Constant Field Values

  - ### STRUTS_MULTIPART_MAX_FILES

    public static final String STRUTS_MULTIPART_MAX_FILES
    The maximum number of files allowed in a multipart request
    See Also:
      - Constant Field Values

  - ### STRUTS_MULTIPART_MAX_STRING_LENGTH

    public static final String STRUTS_MULTIPART_MAX_STRING_LENGTH
    The maximum length of a string parameter in a multipart request.
    See Also:
      - Constant Field Values

  - ### STRUTS_MULTIPART_MAX_FILE_SIZE

    public static final String STRUTS_MULTIPART_MAX_FILE_SIZE
    The maximum size per file in a multipart request
    See Also:
      - Constant Field Values

  - ### STRUTS_MULTIPART_SAVE_DIR

    public static final String STRUTS_MULTIPART_SAVE_DIR
    The directory to use for storing uploaded files
    See Also:
      - Constant Field Values

  - ### STRUTS_MULTIPART_BUFFER_SIZE

    public static final String STRUTS_MULTIPART_BUFFER_SIZE
    Declares the buffer size to be used during streaming multipart content to disk. Used only with `JakartaStreamMultiPartRequest`
    See Also:
      - Constant Field Values

  - ### STRUTS_MULTIPART_PARSER

    public static final String STRUTS_MULTIPART_PARSER
    The org.apache.struts2.dispatcher.multipart.MultiPartRequest parser implementation for a multipart request (file upload)
    See Also:
      - Constant Field Values

  - ### STRUTS_MULTIPART_ENABLED

    public static final String STRUTS_MULTIPART_ENABLED
    A global switch to disable support for multipart requests
    See Also:
      - Constant Field Values

  - ### STRUTS_MULTIPART_VALIDATION_REGEX

    public static final String STRUTS_MULTIPART_VALIDATION_REGEX
    See Also:
      - Constant Field Values

  - ### STRUTS_OBJECTFACTORY_SPRING_AUTOWIRE

    public static final String STRUTS_OBJECTFACTORY_SPRING_AUTOWIRE
    How Spring should autowire. Valid values are 'name', 'type', 'auto', and 'constructor'
    See Also:
      - Constant Field Values

  - ### STRUTS_OBJECTFACTORY_SPRING_AUTOWIRE_ALWAYS_RESPECT

    public static final String STRUTS_OBJECTFACTORY_SPRING_AUTOWIRE_ALWAYS_RESPECT
    Whether the autowire strategy chosen by STRUTS_OBJECTFACTORY_SPRING_AUTOWIRE is always respected. Defaults to false, which is the legacy behavior that tries to determine the best strategy for the situation.
    Since:
      2.1.3
    See Also:
      - Constant Field Values

  - ### STRUTS_OBJECTFACTORY_SPRING_USE_CLASS_CACHE

    public static final String STRUTS_OBJECTFACTORY_SPRING_USE_CLASS_CACHE
    Whether Spring should use its class cache or not
    See Also:
      - Constant Field Values

  - ### STRUTS_OBJECTFACTORY_SPRING_ENABLE_AOP_SUPPORT

    @Deprecated public static final String STRUTS_OBJECTFACTORY_SPRING_ENABLE_AOP_SUPPORT
    Deprecated.
    Uses different logic to construct beans, see https://issues.apache.org/jira/browse/WW-4110
    See Also:
      - Constant Field Values

  - ### STRUTS_CUSTOM_PROPERTIES

    public static final String STRUTS_CUSTOM_PROPERTIES
    Location of additional configuration properties files to load
    See Also:
      - Constant Field Values

  - ### STRUTS_CUSTOM_I18N_RESOURCES

    public static final String STRUTS_CUSTOM_I18N_RESOURCES
    Location of additional localization properties files to load
    See Also:
      - Constant Field Values

  - ### STRUTS_MAPPER_CLASS

    public static final String STRUTS_MAPPER_CLASS
    A name of a bean implementing org.apache.struts2.dispatcher.mapper.ActionMapper interface
    See Also:
      - Constant Field Values

  - ### PREFIX_BASED_MAPPER_CONFIGURATION

    public static final String PREFIX_BASED_MAPPER_CONFIGURATION
    A prefix based action mapper that is capable of delegating to other `ActionMapper`s based on the request's prefix You can specify different prefixes that will be handled by different mappers
    See Also:
      - Constant Field Values

  - ### STRUTS_SERVE_STATIC_CONTENT

    public static final String STRUTS_SERVE_STATIC_CONTENT
    Whether the Struts filter should serve static content or not
    See Also:
      - Constant Field Values

  - ### STRUTS_SERVE_STATIC_BROWSER_CACHE

    public static final String STRUTS_SERVE_STATIC_BROWSER_CACHE
    If static content served by the Struts filter should set browser caching header properties or not
    See Also:
      - Constant Field Values

  - ### STRUTS_ENABLE_DYNAMIC_METHOD_INVOCATION

    public static final String STRUTS_ENABLE_DYNAMIC_METHOD_INVOCATION
    Allows one to disable dynamic method invocation from the URL
    See Also:
      - Constant Field Values

  - ### STRUTS_ENABLE_SLASHES_IN_ACTION_NAMES

    public static final String STRUTS_ENABLE_SLASHES_IN_ACTION_NAMES
    Whether slashes in action names are allowed or not
    See Also:
      - Constant Field Values

  - ### STRUTS_MAPPER_COMPOSITE

    public static final String STRUTS_MAPPER_COMPOSITE
    Prefix used by `CompositeActionMapper` to identify its containing `ActionMapper` class.
    See Also:
      - Constant Field Values

  - ### STRUTS_ACTIONPROXYFACTORY

    public static final String STRUTS_ACTIONPROXYFACTORY
    See Also:
      - Constant Field Values

  - ### STRUTS_FREEMARKER_WRAPPER_ALT_MAP

    public static final String STRUTS_FREEMARKER_WRAPPER_ALT_MAP
    See Also:
      - Constant Field Values

  - ### STRUTS_COMPOUND_ROOT_ACCESSOR

    public static final String STRUTS_COMPOUND_ROOT_ACCESSOR
    Extension point for the Struts CompoundRootAccessor
    See Also:
      - Constant Field Values

  - ### STRUTS_METHOD_ACCESSOR

    public static final String STRUTS_METHOD_ACCESSOR
    Extension point for the Struts MethodAccessor
    See Also:
      - Constant Field Values

  - ### STRUTS_XWORKCONVERTER

    public static final String STRUTS_XWORKCONVERTER
    The name of the xwork converter implementation
    See Also:
      - Constant Field Values

  - ### STRUTS_ALWAYS_SELECT_FULL_NAMESPACE

    public static final String STRUTS_ALWAYS_SELECT_FULL_NAMESPACE
    See Also:
      - Constant Field Values

  - ### STRUTS_ACTION_CONFIG_FALLBACK_TO_EMPTY_NAMESPACE

    public static final String STRUTS_ACTION_CONFIG_FALLBACK_TO_EMPTY_NAMESPACE
    Fallback to empty namespace when request namespace didn't match any in action configuration
    See Also:
      - Constant Field Values

  - ### STRUTS_LOCALE_PROVIDER_FACTORY

    public static final String STRUTS_LOCALE_PROVIDER_FACTORY
    The `LocaleProviderFactory` implementation class
    See Also:
      - Constant Field Values

  - ### STRUTS_ID_PARAMETER_NAME

    public static final String STRUTS_ID_PARAMETER_NAME
    The name of the parameter to create when mapping an id (used by some action mappers)
    See Also:
      - Constant Field Values

  - ### STRUTS_ALLOW_STATIC_FIELD_ACCESS

    public static final String STRUTS_ALLOW_STATIC_FIELD_ACCESS
    The name of the parameter to determine whether static field access will be allowed in OGNL expressions or not
    See Also:
      - Constant Field Values

  - ### STRUTS_DISALLOW_CUSTOM_OGNL_MAP

    public static final String STRUTS_DISALLOW_CUSTOM_OGNL_MAP
    See Also:
      - Constant Field Values

  - ### STRUTS_MEMBER_ACCESS

    public static final String STRUTS_MEMBER_ACCESS
    See Also:
      - Constant Field Values

  - ### STRUTS_OGNL_GUARD

    public static final String STRUTS_OGNL_GUARD
    See Also:
      - Constant Field Values

  - ### STRUTS_ACTIONVALIDATORMANAGER

    public static final String STRUTS_ACTIONVALIDATORMANAGER
    The org.apache.struts2.validator.ActionValidatorManager implementation class
    See Also:
      - Constant Field Values

  - ### STRUTS_VALUESTACKFACTORY

    public static final String STRUTS_VALUESTACKFACTORY
    The `ValueStackFactory` implementation class
    See Also:
      - Constant Field Values

  - ### STRUTS_REFLECTIONPROVIDER

    public static final String STRUTS_REFLECTIONPROVIDER
    The `ReflectionProvider` implementation class
    See Also:
      - Constant Field Values

  - ### STRUTS_REFLECTIONCONTEXTFACTORY

    public static final String STRUTS_REFLECTIONCONTEXTFACTORY
    The `ReflectionContextFactory` implementation class
    See Also:
      - Constant Field Values

  - ### STRUTS_PATTERNMATCHER

    public static final String STRUTS_PATTERNMATCHER
    The `PatternMatcher` implementation class
    See Also:
      - Constant Field Values

  - ### STRUTS_STATIC_CONTENT_LOADER

    public static final String STRUTS_STATIC_CONTENT_LOADER
    The `StaticContentLoader` implementation class
    See Also:
      - Constant Field Values

  - ### STRUTS_UNKNOWN_HANDLER_MANAGER

    public static final String STRUTS_UNKNOWN_HANDLER_MANAGER
    The `UnknownHandlerManager` implementation class
    See Also:
      - Constant Field Values

  - ### STRUTS_EL_THROW_EXCEPTION

    public static final String STRUTS_EL_THROW_EXCEPTION
    Throw RuntimeException when a property is not found, or the evaluation of the expression fails
    See Also:
      - Constant Field Values

  - ### STRUTS_OGNL_EXPRESSION_CACHE_FACTORY

    public static final String STRUTS_OGNL_EXPRESSION_CACHE_FACTORY
    Specifies an OGNL expression cache factory implementation. A default implementation is provided, but could be replaced by a custom one if desired.
    Since:
      6.0.0
    See Also:
      - Constant Field Values

  - ### STRUTS_OGNL_BEANINFO_CACHE_FACTORY

    public static final String STRUTS_OGNL_BEANINFO_CACHE_FACTORY
    Specifies an OGNL BeanInfo cache factory implementation. A default implementation is provided, but could be replaced by a custom one if desired.
    Since:
      6.0.0
    See Also:
      - Constant Field Values

  - ### STRUTS_OGNL_BEANINFO_CACHE_TYPE

    public static final String STRUTS_OGNL_BEANINFO_CACHE_TYPE
    Specifies the type of cache to use for BeanInfo objects.
    Since:
      6.4.0
    See Also:
      - `STRUTS_OGNL_EXPRESSION_CACHE_TYPE`
      - Constant Field Values

  - ### STRUTS_OGNL_BEANINFO_CACHE_MAXSIZE

    public static final String STRUTS_OGNL_BEANINFO_CACHE_MAXSIZE
    Specifies the maximum cache size for BeanInfo objects. This should be configured based on the cache type chosen and application-specific needs.
    Since:
      6.0.0
    See Also:
      - Constant Field Values

  - ### STRUTS_OGNL_LOG_MISSING_PROPERTIES

    public static final String STRUTS_OGNL_LOG_MISSING_PROPERTIES
    Logs properties that are not found (very verbose)
    Since:
      6.0.0
    See Also:
      - Constant Field Values

  - ### STRUTS_OGNL_VALUE_STACK_FALLBACK_TO_CONTEXT

    public static final String STRUTS_OGNL_VALUE_STACK_FALLBACK_TO_CONTEXT
    Determines whether lookups on the ValueStack should fallback to looking in the context if the OGNL expression fails or returns null.
    Since:
      6.4.0
    See Also:
      - Constant Field Values

  - ### STRUTS_OGNL_ENABLE_EXPRESSION_CACHE

    public static final String STRUTS_OGNL_ENABLE_EXPRESSION_CACHE
    Enables caching of parsed OGNL expressions
    Since:
      6.0.0
    See Also:
      - Constant Field Values

  - ### STRUTS_OGNL_EXPRESSION_CACHE_TYPE

    public static final String STRUTS_OGNL_EXPRESSION_CACHE_TYPE
    Specifies the type of cache to use for parsed OGNL expressions. Valid values defined in `OgnlCacheFactory.CacheType`.
    - For the W-TinyLfu cache, the eviction policy is detailed here.
    - For the basic cache, exceeding the maximum cache size will cause the entire cache to flush.
    - For the LRU cache, once the maximum cache size is reached, the least-recently-used entry will be removed.
    Since:
      6.4.0
    See Also:
      - Constant Field Values

  - ### STRUTS_OGNL_EXPRESSION_CACHE_MAXSIZE

    public static final String STRUTS_OGNL_EXPRESSION_CACHE_MAXSIZE
    Specifies the maximum cache size for parsed OGNL expressions. This should be configured based on the cache type chosen and application-specific needs.
    Since:
      6.0.0
    See Also:
      - Constant Field Values

  - ### STRUTS_OGNL_ENABLE_EVAL_EXPRESSION

    public static final String STRUTS_OGNL_ENABLE_EVAL_EXPRESSION
    Enables evaluation of OGNL expressions
    Since:
      6.0.0
    See Also:
      - Constant Field Values

  - ### STRUTS_OGNL_EXPRESSION_MAX_LENGTH

    public static final String STRUTS_OGNL_EXPRESSION_MAX_LENGTH
    The maximum length of an expression (OGNL)
    See Also:
      - Constant Field Values

  - ### STRUTS_OGNL_EXCLUDED_NODE_TYPES

    public static final String STRUTS_OGNL_EXCLUDED_NODE_TYPES
    Parsed OGNL expressions which contain these node types will be blocked
    See Also:
      - Constant Field Values

  - ### STRUTS_DISABLE_REQUEST_ATTRIBUTE_VALUE_STACK_LOOKUP

    public static final String STRUTS_DISABLE_REQUEST_ATTRIBUTE_VALUE_STACK_LOOKUP
    Disables `StrutsRequestWrapper` request attribute value stack lookup (JSTL accessibility)
    See Also:
      - Constant Field Values

  - ### STRUTS_URL_HELPER

    public static final String STRUTS_URL_HELPER
    The`UrlHelper` implementation class
    See Also:
      - Constant Field Values

  - ### STRUTS_CONVERTER_COLLECTION

    public static final String STRUTS_CONVERTER_COLLECTION
    `XWorkBasicConverter`
    See Also:
      - Constant Field Values

  - ### STRUTS_CONVERTER_ARRAY

    public static final String STRUTS_CONVERTER_ARRAY
    See Also:
      - Constant Field Values

  - ### STRUTS_CONVERTER_DATE

    public static final String STRUTS_CONVERTER_DATE
    See Also:
      - Constant Field Values

  - ### STRUTS_CONVERTER_NUMBER

    public static final String STRUTS_CONVERTER_NUMBER
    See Also:
      - Constant Field Values

  - ### STRUTS_CONVERTER_STRING

    public static final String STRUTS_CONVERTER_STRING
    See Also:
      - Constant Field Values

  - ### STRUTS_HANDLE_EXCEPTION

    public static final String STRUTS_HANDLE_EXCEPTION
    Enable handling exceptions by Dispatcher - true by default
    See Also:
      - Constant Field Values

  - ### STRUTS_CONVERTER_PROPERTIES_PROCESSOR

    public static final String STRUTS_CONVERTER_PROPERTIES_PROCESSOR
    See Also:
      - Constant Field Values

  - ### STRUTS_CONVERTER_FILE_PROCESSOR

    public static final String STRUTS_CONVERTER_FILE_PROCESSOR
    See Also:
      - Constant Field Values

  - ### STRUTS_CONVERTER_ANNOTATION_PROCESSOR

    public static final String STRUTS_CONVERTER_ANNOTATION_PROCESSOR
    See Also:
      - Constant Field Values

  - ### STRUTS_CONVERTER_CREATOR

    public static final String STRUTS_CONVERTER_CREATOR
    See Also:
      - Constant Field Values

  - ### STRUTS_CONVERTER_HOLDER

    public static final String STRUTS_CONVERTER_HOLDER
    See Also:
      - Constant Field Values

  - ### STRUTS_EXPRESSION_PARSER

    public static final String STRUTS_EXPRESSION_PARSER
    See Also:
      - Constant Field Values

  - ### STRUTS_ALLOWED_NAMESPACE_NAMES

    public static final String STRUTS_ALLOWED_NAMESPACE_NAMES
    Namespace names' whitelist
    See Also:
      - Constant Field Values

  - ### STRUTS_DEFAULT_NAMESPACE_NAME

    public static final String STRUTS_DEFAULT_NAMESPACE_NAME
    Default namespace name to use when namespace didn't match the whitelist
    See Also:
      - Constant Field Values

  - ### STRUTS_ALLOWED_ACTION_NAMES

    public static final String STRUTS_ALLOWED_ACTION_NAMES
    Action names' whitelist
    See Also:
      - Constant Field Values

  - ### STRUTS_DEFAULT_ACTION_NAME

    public static final String STRUTS_DEFAULT_ACTION_NAME
    Default action name to use when action didn't match the whitelist
    See Also:
      - Constant Field Values

  - ### STRUTS_ALLOWED_METHOD_NAMES

    public static final String STRUTS_ALLOWED_METHOD_NAMES
    Method names' whitelist
    See Also:
      - Constant Field Values

  - ### STRUTS_DEFAULT_METHOD_NAME

    public static final String STRUTS_DEFAULT_METHOD_NAME
    Default method name to use when method didn't match the whitelist
    See Also:
      - Constant Field Values

  - ### STRUTS_MAPPER_ACTION_PREFIX_ENABLED

    public static final String STRUTS_MAPPER_ACTION_PREFIX_ENABLED
    Enables action: prefix
    See Also:
      - Constant Field Values

  - ### DEFAULT_TEMPLATE_TYPE_CONFIG_KEY

    public static final String DEFAULT_TEMPLATE_TYPE_CONFIG_KEY
    See Also:
      - Constant Field Values

  - ### STRUTS_DISPATCHER_ERROR_HANDLER

    public static final String STRUTS_DISPATCHER_ERROR_HANDLER
    Allows override default DispatcherErrorHandler
    See Also:
      - Constant Field Values

  - ### STRUTS_EXCLUDED_CLASSES

    public static final String STRUTS_EXCLUDED_CLASSES
    Comma delimited set of excluded classes which cannot be accessed via OGNL expressions. Matching is done on both target and member classes of OGNL expression. Note that superclasses of listed classes are also used for matching.
    See Also:
      - Constant Field Values

  - ### STRUTS_EXCLUDED_PACKAGE_NAME_PATTERNS

    public static final String STRUTS_EXCLUDED_PACKAGE_NAME_PATTERNS
    Comma delimited set of RegEx to match against package names of target and member classes of OGNL expressions. If matched, they cannot be accessed.
    See Also:
      - Constant Field Values

  - ### STRUTS_EXCLUDED_PACKAGE_NAMES

    public static final String STRUTS_EXCLUDED_PACKAGE_NAMES
    Comma delimited set of package names, of which all its classes, and all classes in its subpackages, cannot be accessed via OGNL expressions. Matching is done on both target and member classes of OGNL expression.
    See Also:
      - Constant Field Values

  - ### STRUTS_EXCLUDED_PACKAGE_EXEMPT_CLASSES

    public static final String STRUTS_EXCLUDED_PACKAGE_EXEMPT_CLASSES
    Comma delimited set of exempt classes from matching against excludedPackageNames and excludedPackageNamePatterns. As matching for excluded packages is done on both target and member classes of OGNL expression, an exemption must exist for each match.
    See Also:
      - Constant Field Values

  - ### STRUTS_DEV_MODE_EXCLUDED_CLASSES

    public static final String STRUTS_DEV_MODE_EXCLUDED_CLASSES
    Comma delimited set of excluded classes and package names which cannot be accessed via expressions in devMode
    See Also:
      - Constant Field Values

  - ### STRUTS_DEV_MODE_EXCLUDED_PACKAGE_NAME_PATTERNS

    public static final String STRUTS_DEV_MODE_EXCLUDED_PACKAGE_NAME_PATTERNS
    See Also:
      - Constant Field Values

  - ### STRUTS_DEV_MODE_EXCLUDED_PACKAGE_NAMES

    public static final String STRUTS_DEV_MODE_EXCLUDED_PACKAGE_NAMES
    See Also:
      - Constant Field Values

  - ### STRUTS_DEV_MODE_EXCLUDED_PACKAGE_EXEMPT_CLASSES

    public static final String STRUTS_DEV_MODE_EXCLUDED_PACKAGE_EXEMPT_CLASSES
    See Also:
      - Constant Field Values

  - ### STRUTS_ALLOWLIST_ENABLE

    public static final String STRUTS_ALLOWLIST_ENABLE
    Boolean to enable strict allowlist processing of all OGNL expression calls.
    See Also:
      - Constant Field Values

  - ### STRUTS_ALLOWLIST_CLASSES

    public static final String STRUTS_ALLOWLIST_CLASSES
    Comma delimited set of allowed classes which CAN be accessed via OGNL expressions. Both target and member classes of OGNL expression must be allowlisted.
    See Also:
      - Constant Field Values

  - ### STRUTS_ALLOWLIST_PACKAGE_NAMES

    public static final String STRUTS_ALLOWLIST_PACKAGE_NAMES
    Comma delimited set of package names, of which all its classes, and all classes in its subpackages, CAN be accessed via OGNL expressions. Both target and member classes of OGNL expression must be allowlisted.
    See Also:
      - Constant Field Values

  - ### STRUTS_EXCLUDED_PATTERNS_CHECKER

    public static final String STRUTS_EXCLUDED_PATTERNS_CHECKER
    Dedicated services to check if passed string is excluded/accepted
    See Also:
      - Constant Field Values

  - ### STRUTS_ACCEPTED_PATTERNS_CHECKER

    public static final String STRUTS_ACCEPTED_PATTERNS_CHECKER
    See Also:
      - Constant Field Values

  - ### STRUTS_NOT_EXCLUDED_ACCEPTED_PATTERNS_CHECKER

    public static final String STRUTS_NOT_EXCLUDED_ACCEPTED_PATTERNS_CHECKER
    See Also:
      - Constant Field Values

  - ### STRUTS_OVERRIDE_EXCLUDED_PATTERNS

    public static final String STRUTS_OVERRIDE_EXCLUDED_PATTERNS
    Constant is used to override framework's default excluded patterns
    See Also:
      - Constant Field Values

  - ### STRUTS_OVERRIDE_ACCEPTED_PATTERNS

    public static final String STRUTS_OVERRIDE_ACCEPTED_PATTERNS
    See Also:
      - Constant Field Values

  - ### STRUTS_ADDITIONAL_EXCLUDED_PATTERNS

    public static final String STRUTS_ADDITIONAL_EXCLUDED_PATTERNS
    See Also:
      - Constant Field Values

  - ### STRUTS_ADDITIONAL_ACCEPTED_PATTERNS

    public static final String STRUTS_ADDITIONAL_ACCEPTED_PATTERNS
    See Also:
      - Constant Field Values

  - ### STRUTS_PARAMETERS_REQUIRE_ANNOTATIONS

    public static final String STRUTS_PARAMETERS_REQUIRE_ANNOTATIONS
    See Also:
      - Constant Field Values

  - ### STRUTS_PARAMETERS_REQUIRE_ANNOTATIONS_TRANSITION

    public static final String STRUTS_PARAMETERS_REQUIRE_ANNOTATIONS_TRANSITION
    See Also:
      - Constant Field Values

  - ### STRUTS_CONTENT_TYPE_MATCHER

    public static final String STRUTS_CONTENT_TYPE_MATCHER
    See Also:
      - Constant Field Values

  - ### STRUTS_SMI_METHOD_REGEX

    public static final String STRUTS_SMI_METHOD_REGEX
    See Also:
      - Constant Field Values

  - ### STRUTS_TEXT_PROVIDER

    public static final String STRUTS_TEXT_PROVIDER
    See Also:
      - Constant Field Values

  - ### STRUTS_TEXT_PROVIDER_FACTORY

    public static final String STRUTS_TEXT_PROVIDER_FACTORY
    See Also:
      - Constant Field Values

  - ### STRUTS_LOCALIZED_TEXT_PROVIDER

    public static final String STRUTS_LOCALIZED_TEXT_PROVIDER
    See Also:
      - Constant Field Values

  - ### STRUTS_DISALLOW_PROXY_OBJECT_ACCESS

    public static final String STRUTS_DISALLOW_PROXY_OBJECT_ACCESS
    See Also:
      - Constant Field Values

  - ### STRUTS_DISALLOW_PROXY_MEMBER_ACCESS

    public static final String STRUTS_DISALLOW_PROXY_MEMBER_ACCESS
    See Also:
      - Constant Field Values

  - ### STRUTS_DISALLOW_DEFAULT_PACKAGE_ACCESS

    public static final String STRUTS_DISALLOW_DEFAULT_PACKAGE_ACCESS
    See Also:
      - Constant Field Values

  - ### STRUTS_OGNL_AUTO_GROWTH_COLLECTION_LIMIT

    public static final String STRUTS_OGNL_AUTO_GROWTH_COLLECTION_LIMIT
    See Also:
      - Constant Field Values

  - ### STRUTS_MATCHER_APPEND_NAMED_PARAMETERS

    public static final String STRUTS_MATCHER_APPEND_NAMED_PARAMETERS
    See `AbstractMatcher.appendNamedParameters`
    See Also:
      - Constant Field Values

  - ### STRUTS_CHAINING_COPY_ERRORS

    public static final String STRUTS_CHAINING_COPY_ERRORS
    See Also:
      - Constant Field Values

  - ### STRUTS_CHAINING_COPY_FIELD_ERRORS

    public static final String STRUTS_CHAINING_COPY_FIELD_ERRORS
    See Also:
      - Constant Field Values

  - ### STRUTS_CHAINING_COPY_MESSAGES

    public static final String STRUTS_CHAINING_COPY_MESSAGES
    See Also:
      - Constant Field Values

  - ### STRUTS_OBJECT_FACTORY_CLASSLOADER

    public static final String STRUTS_OBJECT_FACTORY_CLASSLOADER
    See Also:
      - Constant Field Values

  - ### STRUTS_DATE_FORMATTER

    public static final String STRUTS_DATE_FORMATTER
    See `Date.setDateFormatter(DateFormatter)`
    See Also:
      - Constant Field Values

  - ### STRUTS_URL_QUERY_STRING_BUILDER

    public static final String STRUTS_URL_QUERY_STRING_BUILDER
    See Also:
      - Constant Field Values

  - ### STRUTS_URL_QUERY_STRING_PARSER

    public static final String STRUTS_URL_QUERY_STRING_PARSER
    See Also:
      - Constant Field Values

  - ### STRUTS_URL_ENCODER

    public static final String STRUTS_URL_ENCODER
    See Also:
      - Constant Field Values

  - ### STRUTS_URL_DECODER

    public static final String STRUTS_URL_DECODER
    See Also:
      - Constant Field Values

  - ### STRUTS_UI_CHECKBOX_SUBMIT_UNCHECKED

    public static final String STRUTS_UI_CHECKBOX_SUBMIT_UNCHECKED
    A global flag to set property `Checkbox.setSubmitUnchecked(String)`
    See Also:
      - Constant Field Values

  - ### STRUTS_EXECUTOR_PROVIDER

    public static final String STRUTS_EXECUTOR_PROVIDER
    See `ExecutorProvider`
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StrutsConstants

    public StrutsConstants()